# Token Price

By minting and holding TBILL tokens, the Investor can earn a return through the TBILL token’s token price, which is expected to increase in value over time. That increment in token price directly reflects the returns generated by the underlying US T-Bills held by the Fund’s portfolio, as the underlying US T-Bills converge to par value upon maturity. Should interest rates fluctuate, mark-to-market risks may affect the TBILL token price. Refer to [***Risks***](https://docs.openeden.com/category/risks) for more information.

## Token Price Calculation[​](https://docs.openeden.com/protocol-mechanics/exchange-rate#exchange-rate-calculation) <a href="#exchange-rate-calculation" id="exchange-rate-calculation"></a>

The TBILL token price is calculated as the Net Asset Value (“NAV”) per token. The token price can be derived by dividing the NAV of the Fund by the total outstanding supply of TBILL tokens.

{% hint style="info" %}
Note: Please be aware that the USDC/USD token price will be set at a 1:1 ratio to align with the offerings provided by the Vault's providers. Please refer to the [Price Guard](https://docs.openeden.com/on-chain-governance-and-controls-i#price-guard) section for details on applicable risk mitigation measures.
{% endhint %}

$$
tokenPrice = \frac{totalAssets - feeClaimable}{circulatingTokenSupply}
$$

At the time of launch, the TBILL token price will be a default value of 1.000000.

## On-Chain Price Oracle

The price feed is a service responsible for consolidating and disseminating financial market data to our on-chain price oracles. Its primary function is to precisely calculate the [token price](#exchange-rate-calculation) and transmit price data onto the on-chain price oracle. The integrity of the price feed is ensured through the[ ](https://adamandeve.gitbook.io/product-docs/treasury-bills-vault/on-chain-governance-and-controls#price-guard)[price guards](https://docs.openeden.com/on-chain-governance-and-controls-i#price-guard) mechanism.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openeden.com/tbill/token-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
